Package owl.factories.jbdd

## Class JBddSupplier

- java.lang.Object
- - owl.factories.jbdd.JBddSupplier

- All Implemented Interfaces:
    `FactorySupplier`

      public final class JBddSupplier
      extends Object
      implements FactorySupplier

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FactorySupplier` | `async​(boolean keepRepresentativesDefault)` |
    `EquivalenceClassFactory` | `getEquivalenceClassFactory​(List<String> alphabet)` |
    `EquivalenceClassFactory` | `getEquivalenceClassFactory​(List<String> alphabet, boolean keepRepresentatives)` |
    `Factories` | `getFactories​(List<String> alphabet)` |
    `ValuationSetFactory` | `getValuationSetFactory​(List<String> alphabet)` |

    - ### Methods inherited from interface owl.factories.FactorySupplier

      `getFactories, isThreadSafe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### async

          public static FactorySupplier async​(boolean keepRepresentativesDefault)

    - #### getEquivalenceClassFactory

          public EquivalenceClassFactory getEquivalenceClassFactory​(List<String> alphabet)

      Specified by:
        `getEquivalenceClassFactory` in interface `FactorySupplier`

    - #### getEquivalenceClassFactory

          public EquivalenceClassFactory getEquivalenceClassFactory​(List<String> alphabet,
                                                                    boolean keepRepresentatives)

      Specified by:
        `getEquivalenceClassFactory` in interface `FactorySupplier`

    - #### getFactories

          public Factories getFactories​(List<String> alphabet)

      Specified by:
        `getFactories` in interface `FactorySupplier`

    - #### getValuationSetFactory

          public ValuationSetFactory getValuationSetFactory​(List<String> alphabet)

      Specified by:
        `getValuationSetFactory` in interface `FactorySupplier`